Security Update for Microsoft ASP.NET Core (DoS) (May 2020)

high Nessus Plugin ID 136527

Synopsis

The Microsoft ASP.NET Core installations on the remote host contain vulnerable packages.

Description

The Microsoft ASP.NET Core installation on the remote host is version 3.x < 3.1.4. It is, therefore, affected by a denial of service (DoS) vulnerability when ASP.NET Core improperly handles web requests. An unauthenticated, remote attacker can exploit this issue, via sending a specially crafted requests to the ASP.NET Core application to cause the application to stop responding.

Solution

Update ASP.NET Core, remove vulnerable packages and refer to vendor advisory.

See Also

https://dotnet.microsoft.com/download/dotnet-core/3.1

https://github.com/aspnet/Announcements/issues/416

http://www.nessus.org/u?033a6161

Plugin Details

Severity: High

ID: 136527

File Name: smb_nt_ms20_may_aspdotnet_core.nasl

Version: 1.6

Type: local

Agent: windows

Family: Windows

Published: 5/13/2020

Updated: 4/11/2022

Supported Sensors: Nessus Agent

Risk Information

CVSS Score Source: CVE-2020-1161

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 5

Temporal Score: 3.7

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:microsoft:asp.net_core

Required KB Items: installed_sw/ASP .NET Core Windows

Exploit Ease: No known exploits are available

Patch Publication Date: 5/12/2020

Vulnerability Publication Date: 5/12/2020

Reference Information

CVE: CVE-2020-1161

IAVA: 2020-A-0197-S